AutoCAD二次开发(VBA)测绘篇.pdf

  1. 1、本文档共39页,可阅读全部内容。
  2. 2、本文档内容版权归属内容提供方,所产生的收益全部归内容提供方所有。如果您对本文有版权争议,可选择认领,认领后既往收益都归您。
  3. 3、本文档由用户上传,本站不保证质量和数量令人满意,可能有诸多瑕疵,付费之前,请仔细先通过免费阅读内容等途径辨别内容交易风险。如存在严重挂羊头卖狗肉之情形,可联系本站下载客服投诉处理。
  4. 文档侵权举报电话:19940600175。
VB AutoCAD CASS AutoCAD VB AutoCAD … Hello World1 AutoCAD 3 5 8 10 13 16 21 24 27 28 VBA 31 VBA 32 VBA 33 VB AutoCAD 34 Hello World AutoCAD VBA VBA 1 AutoCAD 2 vbaide alt+F11 3 1 Sub HelloWorld() MsgBox "Hello World!", vbInformation, "" End Sub 1 4 -vbarun helloworld 2 1 5 VBA 6 appload *.dvb AutoCAD AutoCAD AutoCAD VBA 2 2 AutoCAD AutoCAD 0 0 11 Sub DrawLine() ThisDrawing.Application.ActiveDocument.SendCommand "line" & vbCr _ & "0,0" & vbCr & "1,1" & vbCr & Chr(27) End Sub ThisDrawing.Application.ActiveDocument SendCommand Chr(27)Esc vbCr Enter AutoCAD CASS Sub DarwYancong() ThisDrawing.Application.ActiveDocument.SendCommand "dd" & vbCr & _ "152700" & vbCr & "0,0" & vbCr End Sub 0 0 CASS 1,F3,3560.512,501.236,35.213 2,YC,3561.213,502.365,35.012 …

文档评论(0)

何山可依
该用户很懒,什么也没介绍

相关文档

相关课程推荐